std::atomic_signal_fence(3)

NAME
std::atomic_signal_fence - std::atomic_signal_fence

Synopsis
   Defined in header <atomic>
   extern "C" void atomic_signal_fence( std::memory_order order ) (since C++11)
   noexcept;
   Establishes memory synchronization ordering of non-atomic and relaxed atomic
   accesses, as instructed by order, between a thread and a signal handler executed on
   the same thread. This is equivalent to std::atomic_thread_fence, except no CPU
   instructions for memory ordering are issued. Only reordering of the instructions by
   the compiler is suppressed as order instructs. For example, a fence with release
   semantics prevents reads or writes from being moved past subsequent writes and a
   fence with acquire semantics prevents reads or writes from being moved ahead of
   preceding reads.

Parameters
   order - the memory ordering executed by this fence

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
   memory_order defines memory ordering constraints for the given atomic
   (C++11) operation
                       (enum)
   atomic_thread_fence generic memory order-dependent fence synchronization primitive
   (C++11) (function)